using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using System.Drawing;
using Syncfusion.Collections.Web;

public partial class _Default : System.Web.UI.Page {
    protected void Page_Init(object sender, EventArgs e)
    {
        DataTable dt = new DataTable("MyTable");

        int nRows = 15;
        Random r = new Random(123345345);

        dt.Columns.Add(new DataColumn("id"));
        dt.Columns.Add(new DataColumn("hours"));
        dt.Columns.Add(new DataColumn("String"));

        for (int i = 0; i < nRows; ++i)
        {
            DataRow dr = dt.NewRow();
            dr[0] = i;
            dr[1] = r.Next(30);
            dr[2] = "Value";
            dt.Rows.Add(dr);
        }
        this.GridGroupingControl1.DataSource = dt;
        this.GridGroupingControl1.DataSourceCachingMode = Syncfusion.Web.UI.WebControls.Grid.Grouping.Common.DataSourceCachingMode.ViewState;
         
    }

   
    protected void Page_Load( object sender, EventArgs e ) 
    {
        this.GridGroupingControl1.TableDescriptor.AllowNew = false;
        this.GridGroupingControl1.PageSize = 10;
         
    }
    

   
    protected void GridGroupingControl1_QueryCellStyleInfo(object sender, GridTableCellStyleInfoEventArgs e)
    {
        if (e.TableCellIdentity.TableCellType == GridTableCellType.RecordFieldCell || e.TableCellIdentity.TableCellType == GridTableCellType.AlternateRecordFieldCell )
        {
            if (e.TableCellIdentity.Column.Name == "String")
            {
                string text = e.Style.CellValue.ToString();
                e.Style.CellValue = Server.HtmlEncode(text);                
                
            }

        }
      

    }

    public class TemplateClass : ITemplate
    {
        private Control m_ctrlChildControl = null;
        public TemplateClass(Control ctrlChildControl)
        {
            m_ctrlChildControl = ctrlChildControl;
        }

        public void InstantiateIn(Control container)
        {
            container.Controls.Add(m_ctrlChildControl);
        }
    }


}
